<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
echo '<div class="title"><b>'.razd.' Админ панель | Переходы на сайт</b></div>';
################################################################################

$k_post = DB :: run() -> querySingle("select count(`id`) from `referer`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;

$sql = DB :: run() -> query("select * from `referer` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Нет ни одного перехода!</center></div>';
} else {			
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

$result = parse_url($row -> site);
if (!isset($result['host'])){
$result = parse_url('newSuperProtocol://'.$row -> site);
}

echo '<div class="menu">';
echo '<i class="fa  fa-globe fa-fw"></i> <a href="http://'.str_ireplace('http://', '', $result['host']).'">'.checkout($result['host']).'</a> ['.date('d.m.Y H:i', $row -> date).']<br/>';
echo '<i class="fa  fa-firefox fa-fw"></i> <b>'.checkout($row -> browser).'</b> [<a href="'.URL.'/_whois'.checkin($row -> ip).'">'.checkout($row -> ip).'</a>]<br/>';
echo '<i class="fa  fa-link fa-fw"></i> '.checkout($row -> site).'<br/>';
echo '</div>';
}


if ($k_page > 1) navigation(URL.'/_referer?', $k_page, $page);
}

if (isset($_GET['clean']) && DB :: run() -> querySingle("select count(`id`) from `referer`") != 0){					
DB :: run() -> query("truncate table `referer`") && DB :: run() -> query("optimize table `referer`");
$_SESSION['success'] = 'Переходы на сайт успешно очищены!';
header('Location: '.URL.'/_referer');
}

if (DB :: run() -> querySingle("select count(`id`) from `referer`") != 0){
echo '<div class="menu"><i class="fa  fa-trash-o fa-fw"></i> <a href="'.URL.'/_refclean">Очистить логи</a></div>';
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>